package td03;

public class GeoLib {

	public static double distance(Point2D p1, Point2D p2){
		double dx = p2.getAbscisse()-p1.getAbscisse();
		double dy = p2.getOrdonnee()-p1.getOrdonnee();
		return Math.sqrt(dx*dx+dy*dy);
	}

	// cette version évite de choisir arbitrairement le type du centre de gravité
	public static Point2D centreGravite(Point2D [] t, Point2D g){
		double x=0, y=0;
		for (int i=0; i<t.length; ++i){
			x += t[i].getAbscisse();
			y += t[i].getOrdonnee();
		}
		g.setAbscisse(x/t.length);
		g.setOrdonnee(y/t.length);
		return g;
	}
}


